# Class HttpTimeoutException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.net.http.HttpTimeoutException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `HttpConnectTimeoutException`

public class HttpTimeoutException extends IOException
Thrown when a response is not received within a specified time period.

Since:
  11
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HttpTimeoutException(String message)`
Constructs an `HttpTimeoutException` with the given detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HttpTimeoutException

public HttpTimeoutException(String message)
Constructs an `HttpTimeoutException` with the given detail message.

Parameters:
  `message` - The detail message; can be `null`